# ezQuake Manual: Unsorted Variables Variables

## allow_f_cmdline

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Your client will respond to f_cmdline checks with your current command line used to run current ezQuake instance.
0 | Your client will not respond to f_cmdline checks.

## allow_f_system

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Your client will respond to f_system checks displaying your PC configuration.
0 | Your client will not respond to f_system checks.

## auth_validate

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | which performs the validation (but you need to use 'validate_clients'
0 | If you don't want your client to validate other ezQuake clients.

If you have 'auth_warninvalid 1' and someone gives a dirty hash in a version response (because they are using a hacked client that can't work out the right response), the client will print something like 'Warning Invalid Client: playername (userid)' in your console ('auth_warninvalid 0' is default).

## auth_warninvalid

### Description

Check auth_validate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cl_loadFragfiles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Enable displaying team fortress related statistics in the scoreboard (flag touches, steals, caps, etc)
0 | Disable.

## cl_parseFrags

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Enable displaying team fortress related statistics in the scoreboard (flag touches, steals, caps, etc)
0 | Disable.

## help_files_interline

### Description

Adjust interlining of file list in /help filebrowser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## help_files_showdate

### Description

Shows column displaying file last modification date in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## help_files_showsize

### Description

Shows column displaying file size in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## help_files_showstatus

### Description

Show quick info about selected help file in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## help_files_showtime

### Description

Shows column displaying file last modification time in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## help_files_sortmode

### Description

Switches sorting methods of files /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## help_files_stripnames

### Description

Strips filenames of help files.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## hud_planmode

### Description

Toggles special hud-editing mode where all hud elements are being displayed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Plan-mode on.
0 | Plan-mode off.

## hud_tp_need

### Description

Toggles connection of tp_need_* variables with hud elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Numbers in HUD get red when they are lower than appropriate tp_need_* values.
0 | Numbers in HUD elements get red when below standard values.

E.g.: Use with 'tp_need_health 40' and your health indicator will display red numbers if your health is 40 or lower.

## keymap_name

### Description

This holds the name of the current keymappings; it has (currently) only informational purposes. If no keymapping is active, it will contain the name "Default". If a keymapping will be active and no name has been set, "Custom" will be used as name. It can easily be set with "keymap_name <layoutname>"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: Default

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz